Skip to main content
POST
Upload one resumable chunk to a NetApp volume

Path Parameters

id
string
required

NetApp volume ID. Obtain from GET /remotefs/v1/volumes or GET /remotefs/v1/volumes/{id} in the platform API catalog.

Query Parameters

resumableChunkNumber
integer
required

Number of the current chunk

resumableTotalChunks
integer
required

Total number of chunks of the file to upload

resumableIdentifier
string
required

Unique identifier for the file to upload

key
string
required

Upload session key returned by POST /remotefs/v1/volumes/{id}/uploads/start. Must be the same for every chunk in one upload.

resumableRelativePath
string
required

Path of the file to upload relative to the root directory being uploaded if applicable, or the file name

resumableChunkSize
integer
required

Size in bytes of one standard (not last) upload chunk

resumableCurrentChunkSize
integer
required

Size in bytes of the current upload chunk

checksum
string
required

Checksum of the file to upload

Body

application/x-www-form-urlencoded
file
file
required

File to upload

Response

Upload session key (same as query param key)

The response is of type string.